Daily stories satisfaction statistics

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get daily stories satisfaction stats for a given period. The satisfaction are collected thanks to User Feedback step. There can be one User Feedback step per story. This endpoint allow to get the satisfaction per story.

Response

AttributeTypeDescription
data[].typestringalways "timed_story_satisfaction"
data[].datestringdate of the statistic "2018-10-05"
data[].storyNamestringthe story name
data[].storyIDstringthe story ID
data[].positiveRatingsCountintthe number of positive ratings
data[].negativeRatingsCountintthe numbers of negative ratings
data[].ratingsCountinttotal number of ratings received
data[].satisfactionStepExecutionsCountintnumber of times satisfaction was asked
data[].positiveRatingsPercentfloatpercentage of positive ratings
data[].negativeRatingsPercentfloatpercentage of negative ratings
data[].satisfactionCompletionPercentfloatpercentage of person that completed the satisfaction
{
    "data": [
        {
            "type": "timed_story_satisfaction",
            "storyName": "story 27",
            "storyID": "a27a27a27a27a27a27a27a27",
            "positiveRatingsCount": 18,
            "negativeRatingsCount": 4,
            "ratingsCount": 22,
            "satisfactionStepExecutionsCount": 24,
            "positiveRatingsPercent": 0.8181818182,
            "negativeRatingsPercent": 0.1818181818,
            "satisfactionCompletionPercent": 0.9166666667,
            "date": "2018-01-27"
        }
    ]
}
Path Params
string
required

a bot ID

Query Params
string
required

define the start date of the analysis, format must be %Y-%m-%d

string
required

define the end date of the analysis, format must be %Y-%m-%d.

story_ids
array of strings

comma separated list of story IDs

story_ids
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json